import { Action } from './action.types';
import { ClientOptions, QueryResponse, RequestInterceptor, ResponseInterceptor } from './client.types';
export declare type HandleRequestInterceptors<R> = (action: Action<R>, interceptors: Array<RequestInterceptor<R>>) => Promise<Action<R>>;
export declare type HandleResponseInterceptors<R> = (action: Action<R>, response: QueryResponse<any>, interceptors: Array<ResponseInterceptor<R, any>>) => Promise<QueryResponse<any>>;
export declare const Client: <R = any>(clientOptions: ClientOptions<R>) => {
    query: <T>(actionInit: Action<R>) => Promise<QueryResponse<T>>;
};
